※ Customers may change their delivery address at the Payment Completed stage. Therefore, you MUST UPDATE the delivery shipping info ("receiver") after confirming that the product is at "Preparation" stage.
- Please check if "sellerProductName + sellerProductItemName" matches "vendorItemName" on the Coupang website before the product is shipped out.
- If the product is exposed with the wrong information such as its compartments, quantity, volume, etc, please hold the shipping and submit an online inquiry for quick correction. (My product is displayed with wrong information, > select 'Yes' and request.)
- The reflected seller score will be reinstated accordingly in the event that an incorrect display of your product is confirmed.
Path
GET
/v2/providers/openapi/apis/api/v5/vendors/{vendorId}/ordersheets/{shipmentBoxId}
Example Endpoint
https://api-gateway.coupang.com/v2/providers/openapi/apis/api/v5/vendors/A00000001/ordersheets/642538970006401429
Request Parameters
Path Segment Parameter
| Name | Required | Type | Description | ||||
|---|---|---|---|---|---|---|---|
| vendorId | O |
vendor code
unique code for a seller issued by Coupang
Log in to Wing to check your vendor code |
|||||
| shipmentBoxId | O |
Shipment No. (bundled shipment No.)
View on Wing or query through PO List by minute/day.
shipmentBoxId is numerical
|
|||||
Request Example
Response Message
| Name | Type | Description | ||||||||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| code | Number | server response code | ||||||||||||||||||
| message | String | server response message | ||||||||||||||||||
| data | Object | Data object |
||||||||||||||||||
| shipmentBoxId | Number | shipment No. |
||||||||||||||||||
| orderId | Number | order No. |
||||||||||||||||||
| orderedAt | String | order date/time(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
||||||||||||||||||
| orderer | Object | info of the orderer |
||||||||||||||||||
| name | String | Name of the orderer |
||||||||||||||||||
| String | e-mail address of the orderer
non-use/empty value("")
|
|||||||||||||||||||
| safeNumber | String | contact info of the receiver (safety number)(Requires E.164 Compliance) |
||||||||||||||||||
| ordererNumber | String | contact info of the orderer (actual phone number)(Requires E.164 Compliance) |
||||||||||||||||||
| paidAt | String | Date/time of payment completed(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
||||||||||||||||||
| status | String |
PO Status
|
||||||||||||||||||
| shippingPrice | Object | shipping fee |
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) |
||||||||||||||||||
| units | number | 64-bit integer representing the integer part of the monetary value |
||||||||||||||||||
| nanos | number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] |
||||||||||||||||||
| remotePrice | Object | shipping fees for highlands and islands |
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) |
||||||||||||||||||
| units | number | 64-bit integer representing the integer part of the monetary value |
||||||||||||||||||
| nanos | number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] |
||||||||||||||||||
| remoteArea | Boolean | check if the delivery address is in the highlands or islands |
||||||||||||||||||
| parcelPrintMessage | String | shipping message |
||||||||||||||||||
| splitShipping | Boolean | split shipping or not |
||||||||||||||||||
| ableSplitShipping | Boolean | split shipping possible or not possible |
||||||||||||||||||
| receiver | Object | info of the receiver |
||||||||||||||||||
| name | String | Name of the receiver |
||||||||||||||||||
| safeNumber | String | contact info of the receiver (safety number)(Requires E.164 Compliance) |
||||||||||||||||||
| receiverNumber | String | contact info of the receiver (actual phone number)(Requires E.164 Compliance) |
||||||||||||||||||
| addr1 | String | receiver's delivery address 1 |
||||||||||||||||||
| addr2 | String | receiver's delivery address 2 |
||||||||||||||||||
| postCode | String | receiver's Post code |
||||||||||||||||||
| orderItems | Array | order info |
||||||||||||||||||
| vendorItemPackageId | Number |
vendorItemPackageId
for non-use/null, it will return 0
|
||||||||||||||||||
| vendorItemPackageName | String |
vendorItemPackageName
non-use
|
||||||||||||||||||
| productId | Number |
Displayed productID
for null, it will return 0
|
||||||||||||||||||
| vendorItemId | Number | vendor item ID |
||||||||||||||||||
| vendorItemName | String | Displayed product name |
||||||||||||||||||
| shippingCount | Number |
shippingCount = number of items upon ordering holdCountForCancel = number of items whose orders got cancelled and wait for refund
cancelCount = confirmed number of items for cancellation number of items available for PO placement = shippingCount - (holdCountForCancel + cancelCount ) |
||||||||||||||||||
| salesPrice | Object | price per item |
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | ||||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | ||||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | ||||||||||||||||||
| orderPrice | Object | payment amounts: salesPrice*shippingCount |
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | ||||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | ||||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | ||||||||||||||||||
| discountPrice | Object | total discount amounts, discountPrice(total discounts) = instantCouponDiscount(instant discount coupon) + downloadableCoupon(downloadable coupon) + coupangDiscount(Coupang funded discounts) |
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | ||||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | ||||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | ||||||||||||||||||
| instantCouponDiscount | Object | instant discount coupon
instant discount coupon amounts
|
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | ||||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | ||||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | ||||||||||||||||||
| downloadableCouponDiscount | Object | downloadable coupon
downloadable coupon amounts
|
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | ||||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | ||||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | ||||||||||||||||||
| coupangDiscount | Object | Coupang funded discounts
Coupang funded cart/category coupon etc. amounts
|
||||||||||||||||||
| currencyCode | String | Three-letter uppercase string (format follows ISO-4217) | ||||||||||||||||||
| units | Number | 64-bit integer representing the integer part of the monetary value | ||||||||||||||||||
| nanos | Number | 32-bit integer representing the decimal part of the monetary value, in the range of [-999999999, 999999999] | ||||||||||||||||||
| externalVendorSkuCode | String | external item code |
||||||||||||||||||
| etcInfoHeader | String |
option input per item
optional
|
||||||||||||||||||
| etcInfoValue | String | input value by the user for options per item optional
Not in use
|
||||||||||||||||||
| etcInfoValues | Array | List of input value by the user for options per item
optional
|
||||||||||||||||||
| sellerProductId | Number | Seller product ID |
||||||||||||||||||
| sellerProductName | String | Registered product name |
||||||||||||||||||
| sellerProductItemName | String | Option name as registered |
||||||||||||||||||
| firstSellerProductItemName | String | Originally registered option name |
||||||||||||||||||
| cancelCount | Number | number of orders got cancelled |
||||||||||||||||||
| holdCountForCancel | Number | number of orders waiting for refund |
||||||||||||||||||
| estimatedShippingDate | String |
expected shipping date upon receiving order(Requires ISO-8601 Compliance)
yyyy-MM-dd
|
||||||||||||||||||
| plannedShippingDate | String |
actual planned shipping date (for split shipment)(Requires ISO-8601 Compliance)
yyyy-MM-dd
|
||||||||||||||||||
| invoiceNumberUploadDate | String |
Invoice No. upload date(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
||||||||||||||||||
| extraProperties | Object | Additional option info for seller item
key:value type
|
||||||||||||||||||
| pricingBadge | Boolean | Courantee (is the item price is the lowest?)
true/false
|
||||||||||||||||||
| usedProduct | Boolean | is it a used item?
true/false
|
||||||||||||||||||
| confirmDate | String |
date of purchase confirmed(Requires ISO-8601 Compliance)
YYYY-MM-DDThh:mm:ss.ssssss±hh:mm
|
||||||||||||||||||
| deliveryChargeTypeName | String | delivery charge type:
not-free, free
|
||||||||||||||||||
| upBundleVendorItemId | Number | upbundle option ID |
||||||||||||||||||
| upBundleVendorItemName | String | upbundle displayed product name |
||||||||||||||||||
| upBundleSize | Number | upbundle count |
||||||||||||||||||
| upBundleItem | Boolean | upbundle item or not true/false |
||||||||||||||||||
| canceled | Boolean | is the order cancelled?
true/false
|
||||||||||||||||||
| overseaShippingInfoDto | Object | overseas delivery info |
||||||||||||||||||
| personalCustomsClearanceCode | String | Personal Customs Clearance Code |
||||||||||||||||||
| orderersSsn | String | Not in use |
||||||||||||||||||
| ordererPhoneNumber | String | Recipient's phone number(Requires E.164 Compliance) |
||||||||||||||||||
| deliveryCompanyName | String | Courier companies
CJ Logistics, Hanjin Express, etc.
|
||||||||||||||||||
| invoiceNumber | String | Invoice No. |
||||||||||||||||||
| inTrasitDateTime | String |
shipment date (shipped-out date)(Requires ISO-8601 Compliance)
yyyy-MM-dd HH:mm:ss
|
||||||||||||||||||
| deliveredDate | String |
delivery-completed date(Requires ISO-8601 Compliance)
yyyy-MM-dd HH:mm:ss
|
||||||||||||||||||
| refer | String | Payment was made on:
Apps on iPhone, Android or PC/Mobile web page.
|
||||||||||||||||||
shipmentType |
String | shipment type
THIRD_PARTY, CGF, CGF LITE
|
||||||||||||||||||
| isCod | Boolean |
Is the order Cash on Delivery (COD)
|
||||||||||||||||||
| extraProperties | Object |
Other Information for Order Attributes The following information will be visible in markets that support invoicing:
|
||||||||||||||||||
Response Example
{
"code": "200",
"message": "OK",
"data": {
"shipmentBoxId": 64253897***6401429,
"orderId": 500000596,
"orderedAt": "2025-01-15T14:17:13.973885-08:00",
"orderer": {
"name": "김문근",
"email": "",
"safeNumber": "+1(555)444-1234",
"ordererNumber": null
},
"paidAt": "2025-01-15T14:17:13.973885-08:00",
"status": "FINAL_DELIVERY",
"shippingPrice": {
"currencyCode": "KRW",
"units": 2500,
"nanos": 0
},
"remotePrice": {
"currencyCode": "KRW",
"units": 0,
"nanos": 0
},
"remoteArea": false,
"parcelPrintMessage": null,
"splitShipping": false,
"ableSplitShipping": false,
"receiver": {
"name": "test",
"safeNumber": "+1(555)444-1234",
"receiverNumber": null,
"addr1": "addr1",
"addr2": "addr2",
"postCode": "284-60"
},
"orderItems": [
{
"vendorItemPackageId": 0,
"vendorItemPackageName": "러비더비 섬유향수 보솔레이",
"productId": 2429,
"vendorItemId": 3000000177,
"vendorItemName": "러비더비 섬유향수 보솔레이, 500ml",
"shippingCount": 1,
"salesPrice": {
"currencyCode": "KRW",
"units": 14000,
"nanos": 0
},
"orderPrice": {
"currencyCode": "KRW",
"units": 14000,
"nanos": 0
},
"discountPrice": {
"currencyCode": "KRW",
"units": 500,
"nanos": 0
},
"instantCouponDiscount": {
"currencyCode": "KRW",
"units": 0,
"nanos": 0
},
"downloadableCouponDiscount": {
"currencyCode": "KRW",
"units": 500,
"nanos": 0
},
"coupangDiscount": {
"currencyCode": "KRW",
"units": 0,
"nanos": 0
},
"externalVendorSkuCode": "800022867",
"etcInfoHeader": null,
"etcInfoValue": null,
"etcInfoValues": [
"추가메시지1",
"추가메시지2"
],
"sellerProductId": 26758514,
"sellerProductName": "[러비더비] 대용량 섬유향수 보솔레이 500ml",
"sellerProductItemName": "01_보솔레이 500ml",
"firstSellerProductItemName": "01_보솔레이 500ml",
"cancelCount": 0,
"holdCountForCancel": 0,
"estimatedShippingDate": "2017-10-12",
"plannedShippingDate": "",
"invoiceNumberUploadDate": "",
"extraProperties": {
},
"pricingBadge": false,
"usedProduct": false,
"confirmDate": "2025-01-15T14:17:13.973885-08:00",
"deliveryChargeTypeName": "무료",
"canceled": false
}
],
"overseaShippingInfoDto": {
"personalCustomsClearanceCode": null,
"ordererSsn": "",
"ordererPhoneNumber": ""
},
"deliveryCompanyName": "CJ 대한통운",
"invoiceNumber": "337398446274",
"inTrasitDateTime": "2025-01-15T14:17:13.973885-08:00",
"deliveredDate": "2025-01-15T14:17:13.973885-08:00",
"refer": "PC웹",
"shipmentType": "CGF LITE",
"isCod": false,
"extraProperties": {
"taxReceiptInfo": {
"appliedValue": null,
"receiptOption": "PAPER",
"appliedType": "PERSONAL_COUPANG_MEMBER_CARRIER"
},
"sameDayShipping": "true",
"cutOffTimeHour": "18"
}
}
}Error Spec
| HTTP status code(error type) | error message | solution |
|---|---|---|
| 400 (check parameter requested) | The order got cancelled or returned. | Check if the order is cancelled or returned using Return/Cancellation Request List query API. Ensure the order in question not to be called again. |
| 400 (check parameter requested) | Invalid vendor ID | Please check if you input accurate seller ID (vendor ID). ex) A00012345 |
URL API Name
GET_ORDERSHEET_BY_SHIPMENTBOX